# sets up environment for SAP DB client
#
INDEP=${INDEP:-$1}
DEP=${DEP:-$2}
if [ "$INDEP" -a "$DEP" ]
then
   MAXDBROOT=$INDEP
   PATH=$PATH:$IND/bin:$DEP/bin
   CLASSPATH=$CLASSPATH:$MAXDBROOT/misc/MAXDBc.jar:.
   PERL5LIB=$PERL5LIB:$MAXDBROOT/runtime/perl
   PYTHONPATH=$PYTHONPATH:$MAXDBROOT/runtime/python
   LD_LIBRARY_PATH=$MAXDBROOT/lib/lib64:$LD_LIBRARY_PATH
   export INDEP DEP MAXDBROOT PATH CLASSPATH PERL5LIB PYTHONPATH LD_LIBRARY_PATH
else
   echo "call as '. maxdbenv.sh <indep_path> <dep_path>"
   echo '  or set $IND and $DEP before call'
fi

